<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
ResultRow row = (ResultRow)request.getAttribute(WebKeys.SEARCH_CONTAINER_RESULT_ROW);

AccountGroupDisplay accountGroupDisplay = (AccountGroupDisplay)row.getObject();
%>

<liferay-ui:icon-menu
	direction="left-side"
	icon="<%= StringPool.BLANK %>"
	markupView="lexicon"
	message="<%= StringPool.BLANK %>"
	showWhenSingleIcon="<%= true %>"
>
	<c:if test="<%= AccountGroupPermission.contains(themeDisplay.getPermissionChecker(), accountGroupDisplay.getAccountGroupId(), ActionKeys.UPDATE) %>">
		<portlet:renderURL var="editAccountGroupURL">
			<portlet:param name="mvcRenderCommandName" value="/account_admin/edit_account_group" />
			<portlet:param name="backURL" value="<%= currentURL %>" />
			<portlet:param name="accountGroupId" value="<%= String.valueOf(accountGroupDisplay.getAccountGroupId()) %>" />
		</portlet:renderURL>

		<liferay-ui:icon
			message="edit"
			url="<%= editAccountGroupURL %>"
		/>
	</c:if>

	<c:if test="<%= AccountGroupPermission.contains(themeDisplay.getPermissionChecker(), accountGroupDisplay.getAccountGroupId(), ActionKeys.DELETE) %>">
		<portlet:actionURL name="/account_admin/delete_account_groups" var="deleteAccountGroupURL">
			<portlet:param name="redirect" value="<%= currentURL %>" />
			<portlet:param name="accountGroupIds" value="<%= String.valueOf(accountGroupDisplay.getAccountGroupId()) %>" />
		</portlet:actionURL>

		<liferay-ui:icon-delete
			url="<%= deleteAccountGroupURL %>"
		/>
	</c:if>
</liferay-ui:icon-menu>