<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
String validDomains = ParamUtil.getString(request, "validDomains");

String message;

if (Validator.isNotNull(validDomains)) {
	message = "the-following-email-domains-are-shared-across-all-of-this-users-accounts";
}
else {
	message = "there-are-no-shared-email-domains-for-this-users-accounts";
}
%>

<clay:container-fluid>
	<clay:alert
		message="<%= message %>"
	/>

	<c:if test="<%= Validator.isNotNull(validDomains) %>">
		<liferay-ui:search-container>
			<liferay-ui:search-container-results
				results="<%= ListUtil.fromArray(StringUtil.split(validDomains)) %>"
			/>

			<liferay-ui:search-container-row
				className="java.lang.String"
				modelVar="domain"
			>
				<liferay-ui:search-container-column-text
					value="<%= domain %>"
				/>
			</liferay-ui:search-container-row>

			<liferay-ui:search-iterator
				markupView="lexicon"
			/>
		</liferay-ui:search-container>
	</c:if>
</clay:container-fluid>